/* names.c   included source file defining instruction and register
 *           names for the Netwide [Dis]Assembler
 *
 * The Netwide Assembler is copyright (C) 1996 Simon Tatham and
 * Julian Hall. All rights reserved. The software is
 * redistributable under the licence given in the file "Licence"
 * distributed in the NASM archive.
 */

/* In alphabetic order please */
static char *reg_names[] = {	       /* register names, as strings */
    "cpsr","cpsr_flg",
    "fp" , "ip", "lr" , "pc" ,
    "r0" , "r1" , "r10", "r11", "r12", "r13", "r14",
    "r15", "r2" , "r3" , "r4" , "r5" , "r6" , "r7",
    "r8" , "r9" , 
    "sl", "sp" , 
    "spsr","spsr_flg"
};

static char *conditions[] = {	       /* condition code names */
    "al", "cc", "cs", "eq",
    "ge", "gt", "hi", "le",
    "ls", "lt", "mi", "ne",
    "pl", "vc", "vs"
};

/* Instruction names automatically generated from insns.dat */
#include "insnsn.c"
